> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dune.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Table

<Warning>
  **DEPRECATED**: This endpoint has been deprecated and will be removed on **March 1, 2026**.
  Please use the new endpoint: [`DELETE /v1/uploads/:namespace/:table_name`](./uploads-delete)

  See the [Migration Guide](./migration) for details on migrating to the new endpoints.
</Warning>

<Note>
  * You must be an admin to delete the table.
  * You can also delete a table through `user settings (dune.com) -> data -> delete`.
  * Deleting a table does not incur credits.
</Note>

<RequestExample>
  ```bash curl theme={null}
  curl --request DELETE \
    --url https://api.dune.com/api/v1/table/my_user/interest_rates \
    --header 'X-DUNE-API-KEY: <x-dune-api-key>'
  ```

  ```python Python SDK theme={null}
  from dune_client.client import DuneClient

  dune = DuneClient()

  table = dune.delete_table(
          namespace="my_user",
          table_name="interest_rates"
  )
  ```

  ```typescript TS SDK theme={null}
  import { DuneClient } from "@duneanalytics/client-sdk";

  client = new DuneClient(process.env.DUNE_API_KEY!);
  const result = await client.table.delete({
    namespace: "my_user",
    table_name: "interest_rates",
  });
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.dune.com/api/v1/table/my_user/interest_rates"

  headers = {
      "X-DUNE-API-KEY": "<x-dune-api-key>"
  }

  response = requests.request("DELETE", url, headers=headers)
  ```

  ```javascript Javascript theme={null}
  const url = "https://api.dune.com/api/v1/table/my_user/interest_rates";

  const headers = {
      "X-DUNE-API-KEY": "<x-dune-api-key>"
  };

  fetch(url, {
      method: 'DELETE',
      headers: headers
  })
  .then(response => response.json())
  .then(response => console.log(response))
  .catch(err => console.error(err));
  ```
</RequestExample>
